multimedia/gmplayer - The NetBSD Packages Collection

Fast, cross-platform movie player with GTK2+ interface

MPlayer is a movie player for LINUX (runs on many other Unices,
and non-x86 CPUs). It plays most MPEG, VOB, AVI, VIVO, ASF/WMV,
QT/MOV, FLI, RM, NuppelVideo, yuv4mpeg, FILM, RoQ files, supported
by many native, XAnim, and Win32 DLL codecs. You can watch VideoCD,
SVCD, DVD, 3ivx, and even DivX movies too. The another big feature
of mplayer is the wide range of supported output drivers. It works
with X11, Xv, DGA, OpenGL, SVGAlib, fbdev, AAlib, DirectFB, but you
can use GGI and SDL (and this way all their drivers) and some
lowlevel card-specific drivers (for  Matrox, 3Dfx and Radeon) too!
Most of them supports software or hardware scaling, so you can enjoy
movies in fullscreen. And what about the nice big antialiased shaded
subtitles (10  supported  types!!!) with european/ISO 8859-1,2
(hungarian, english, czech, etc), cyrillic, korean fonts, and OSD...

Build dependencies

pkgtools/x11-links x11/xorgproto x11/xcb-proto devel/glib2-tools devel/gmake devel/pkgconf pkgtools/cwrappers

Runtime dependencies

multimedia/mplayer-share multimedia/libdvdread multimedia/libdvdnav graphics/giflib graphics/jpeg graphics/png devel/SDL multimedia/libvdpau security/gnutls audio/ladspa devel/glib2 fonts/fontconfig fonts/fontconfig graphics/freetype2 graphics/freetype2 multimedia/ffmpeg5 multimedia/libass x11/gtk2 x11/libXScrnSaver x11/libXv x11/libXvMC multimedia/libdvdread multimedia/libdvdnav graphics/giflib graphics/jpeg graphics/png devel/SDL security/gnutls audio/ladspa devel/glib2 fonts/fontconfig multimedia/libass x11/gtk2

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfgmplayer-1.4nb7.tgz
NetBSD 8.0i386gmplayer-1.4nb8.tgz
NetBSD 8.0i386gmplayer-1.5.tgz
NetBSD 8.0powerpcgmplayer-1.4nb8.tgz
NetBSD 8.0x86_64gmplayer-1.5.tgz
NetBSD 8.0x86_64gmplayer-1.4nb8.tgz
NetBSD 9.0aarch64gmplayer-1.5.tgz
NetBSD 9.0aarch64gmplayer-1.4nb8.tgz
NetBSD 9.0alphagmplayer-1.4nb8.tgz
NetBSD 9.0alphagmplayer-1.4nb8.tgz
NetBSD 9.0earmv6hfgmplayer-1.5.tgz
NetBSD 9.0earmv6hfgmplayer-1.4nb8.tgz
NetBSD 9.0earmv7hfgmplayer-1.4nb8.tgz
NetBSD 9.0earmv7hfgmplayer-1.5.tgz
NetBSD 9.0i386gmplayer-1.5.tgz
NetBSD 9.0i386gmplayer-1.4nb8.tgz
NetBSD 9.0i386gmplayer-1.5.tgz
NetBSD 9.0mips64ebgmplayer-1.4nb8.tgz
NetBSD 9.0mips64ebgmplayer-1.4nb8.tgz
NetBSD 9.0powerpcgmplayer-1.4nb8.tgz
NetBSD 9.0sparc64gmplayer-1.4nb8.tgz
NetBSD 9.0x86_64gmplayer-1.5.tgz
NetBSD 9.0x86_64gmplayer-1.5.tgz
NetBSD 9.0x86_64gmplayer-1.5.tgz
NetBSD 9.0x86_64gmplayer-1.4nb8.tgz
NetBSD 9.0x86_64gmplayer-1.4nb8.tgz
NetBSD 9.0x86_64gmplayer-1.5.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

aalib
Enable aalib support.
alsa
Enable ALSA support.
caca
Enable libcaca support.
cdparanoia
Use cdparanoia to rip CDDA media.
debug
Enable debugging facilities in the package.
dts
Enable DTS Coherent Acoustics support.
dv
Enable usage of the libdv library.
dvdnav
Enable libdvdnav support to navigate DVDs.
dvdread
Enable reproduction of DVDs.
faad
Enable AAC decoding support using faad2.
ggi
Enable GGI support.
gif
Enable GIF support.
gnutls
Enable GNU TLS support.
jpeg
Enable JPEG support.
ladspa
Enable Linux Audio Developers Simple Plugin API support.
libmpg123
Enable mpg123 project's core decoder library support.
mad
Enable usage of the mad library to play MP3 files.
mplayer-menu
Enable support for user-defined menus.
mplayer-runtime-cpudetection
Enable CPU detection at run time.
mplayer-ssse3
Enable SSSE3 support.
nas
Enable usage of the Network Audio System.
openal
Enable OpenAL support.
opus
Enable opus support.
png
Enable PNG support.
pulseaudio
Enable support for the PulseAudio sound server.
sdl
Use SDL as the audio/display library.
theora
Use the theora codecs.
v4l2
Enable V4L2 (Video4Linux2) support.
vdpau
Enable support for VDPAU.
vorbis
Enable Ogg Vorbis support.
x264
Enable x264 support.
xvid
Enable usage of XVid codecs.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.